Jump to content

[RESOLU] MAJ samba sous deb Etch


Recommended Posts

Bonjour tout le monde !

Comme chaque matin, j'ai lancé les mises à jour de ma debian, mais cette fois ci, une erreure m'a tout planté, je vous laisse ce que ma console répond :

faust@debian:~$ sudo apt-get upgrade

Lecture des listes de paquets... Fait

Construction de l'arbre des dépendances... Fait

Vous pouvez lancer « apt-get -f install » pour corriger ces problèmes.

Les paquets suivants contiennent des dépendances non satisfaites :

samba: Dépend: samba-common (= 3.0.22-1) mais 3.0.23c-1 est installé

E: Dépendances manquantes. Essayez d'utiliser l'option -f.

faust@debian:~$ sudo apt-get remove samba

Lecture des listes de paquets... Fait

Construction de l'arbre des dépendances... Fait

Les paquets suivants seront ENLEVÉS :

samba

0 mis à jour, 0 nouvellement installés, 1 à enlever et 0 non mis à jour.

Il est nécessaire de prendre 0o dans les archives.

Après dépaquetage, 7692ko d'espace disque seront libérés.

Souhaitez-vous continuer [O/n] ? O

(Lecture de la base de données... 81481 fichiers et répertoires déjà installés.)Suppression de samba ...

invoke-rc.d: dangling symlink: /etc/rc2.d/S91samba

dpkg : erreur de traitement de samba (--remove) :

le sous-processus pre-removal script a retourné une erreur de sortie d'état 102Des erreurs ont été rencontrées pendant l'exécution :

samba

E: Sub-process /usr/bin/dpkg returned an error code (1)

faust@debian:~$ sudo apt-get install -f

Lecture des listes de paquets... Fait

Construction de l'arbre des dépendances... Fait

Correction des dépendances... Fait

Les paquets supplémentaires suivants seront installés :

samba

Paquets recommandés :

smbldap-tools

Les paquets suivants seront mis à jour :

samba

1 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.

Il est nécessaire de prendre 0o/3231ko dans les archives.

Après dépaquetage, 229ko d'espace disque supplémentaires seront utilisés.

Souhaitez-vous continuer [O/n] ? O

Préconfiguration des paquets...

Sélection du paquet samba précédemment désélectionné.

(Lecture de la base de données... 81481 fichiers et répertoires déjà installés.)Préparation du remplacement de samba 3.0.22-1 (en utilisant .../samba_3.0.23c-1_i386.deb) ...

invoke-rc.d: dangling symlink: /etc/rc2.d/S91samba

dpkg : avertissement - ancien script pre-removal a retourné un code d'erreur de sortie 102

dpkg - tentative d'exécution du script du nouveau paquet à la place ...

invoke-rc.d: dangling symlink: /etc/rc2.d/S91samba

dpkg : erreur de traitement de /var/cache/apt/archives/samba_3.0.23c-1_i386.deb (--unpack) :

le sous-processus nouveau script pre-removal a retourné une erreur de sortie d'état 102

Des erreurs ont été rencontrées pendant l'exécution :

/var/cache/apt/archives/samba_3.0.23c-1_i386.deb

E: Sub-process /usr/bin/dpkg returned an error code (1)

Je suis largué...

Que faire ?

Link to comment
Share on other sites

normalement il devrait pointer sur ../init.d/samba

je vois plusieurs possibilités, je ne sais pas laquelle est la meilleure (je penche pour la première) :

- supprimer les liens symboliques existants (rc2.d -> rc5.d, regarde aussi qu'il n'y ait pas de problème aux niveaux 0, 1 et 6) puis lancer l'update. Ils devraient être refaits automatiquement. C'est simple et ça devrait marcher.

- refaire les liens symboliques à la main puis lancer l'update. Pas propre, il vaut mieux utiliser update-rc.d

- utiliser update-rc.d puis lancer l'update. Pour info Samba est en S20 sur Etch sur deux installs différentes ( @S20samba ). Bizarre qu'il soit en S91 chez toi. rc0.d rc1.d et rc6.d : @K19samba

Link to comment
Share on other sites

Archived

This topic is now archived and is closed to further replies.

×
×
  • Create New...